## hugo-mx-gateway 0.2.2+ds1

=== Makefile ===
PACKAGE_NAME=./bin/hugo-mx-gateway
DOCKER_IMAGE_REPO=rchakode/hugo-mx-gateway
ARCH=$$(uname -m)
GOCMD=GO111MODULE=on go
GOBUILD=$(GOCMD) build
GOBUILD_FLAGS=-a -tags netgo -ldflags '-w -extldflags "-static"'
GOCLEAN=$(GOCMD) clean
GOTEST=$(GOCMD) test
GOVENDOR=$(GOCMD) mod vendor
GOIMAGE=golang:1.13.10
UPX=upx

all: deps test build

deps: vendor
vendor:
	$(GOVENDOR)
	
build:
	$(GOBUILD) $(GOBUILD_FLAGS) -o $(PACKAGE_NAME) -v

build-ci:
	docker run --rm \
	-e GO111MODULE=on \
	-e CGO_ENABLED=0 \
	-e GOOS=linux \
	-e GOARCH=amd64 \
	-v "$(PWD)":/app \
	-w /app \
	$(GOIMAGE) \
	go build -a -tags netgo -ldflags '-w -extldflags "-static"' -o "$(PACKAGE_NAME)" -v
	
container: build-ci
	docker build -t $(DOCKER_IMAGE_REPO):$$(date +%s) .

build-compress: build
	$(UPX) $(PACKAGE_NAME)

test:
	$(GOCMD) clean -testcache
	$(GOTEST) -v ./...

clean:
	$(GOCLEAN)
	rm -f $(PACKAGE_NAME)

run:
	$(GOBUILD) -o $(PACKAGE_NAME) -v ./...
	$(PACKAGE_NAME)

deploy-gcp:
	which gcloud
	gcloud components install app-engine-go
	gcloud app deploy --quiet

=== debian/changelog ===
hugo-mx-gateway (0.2.2+ds1-3) unstable; urgency=medium

  * Add patch to allow unauthenticated SMTP

 -- Dominik George <natureshadow@debian.org>  Thu, 28 Apr 2022 21:00:07 +0200

hugo-mx-gateway (0.2.2+ds1-2) unstable; urgency=medium

  * Install default mail templates

 -- Dominik George <natureshadow@debian.org>  Thu, 28 Apr 2022 20:37:29 +0200

hugo-mx-gateway (0.2.2+ds1-1) unstable; urgency=medium

  * Initial release

 -- Dominik George <natureshadow@debian.org>  Thu, 28 Apr 2022 18:48:17 +0200

=== debian/control ===
Source: hugo-mx-gateway
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Dominik George <natureshadow@debian.org>
Section: golang
Testsuite: autopkgtest-pkg-go
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-golang,
               golang-any,
               golang-github-dpapathanasiou-go-recaptcha-dev,
               golang-github-spf13-viper-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/go-team/packages/hugo-mx-gateway
Vcs-Git: https://salsa.debian.org/go-team/packages/hugo-mx-gateway.git
Homepage: https://github.com/rchakode/hugo-mx-gateway
Rules-Requires-Root: no
XS-Go-Import-Path: github.com/rchakode/hugo-mx-gateway

Package: hugo-mx-gateway
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Built-Using: ${misc:Built-Using}
Description: Contact/demo forms handler for static websites (program)
 hugo-mx-gateway provides a RESTful POST endpoint for static
 contact/demo request pages. It's a simple, yet a powerful tool built for
 this only-designated purpose, e.g. for use with static sites built
 using Hugo.
 .
 hugo-mx-gateway is built upon a simple request handling workflow:
 .
  * Create an HTML form with a POST action pointing towards the hugo-mx-
    gateway service.
  * For each user request, hugo-mx-gateway automatically retrieves
    information submitted by the user (email, subject, message details...),
    then generates and sends a templated email (based on Go Template to the
    user-provided email address, while bcc'ing a copy of that email to an
    address that you can define for internal tracking and follow up.
  * Once a request is processed (upon success or failure), hugo-mx-gateway
    handles the reply back towards the calling static page by redirecting
    the browser to the origin page with additional URL parameters
    describing the completion status of the processing (e.g.
    /contact.html?status=success&message=request%20submitted). The
    parameters can then be easily retrieved and shown to the user, e.g.
    with a few lines of Javascript within the static page.

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,\
      uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/$1~$2$3/,\
      dversionmangle=s/\+ds\d*$//,repacksuffix=+ds1" \
  https://github.com/rchakode/hugo-mx-gateway/tags .*/v?(\d\S*)\.tar\.gz debian
